/*
 *  polyFactor.h
 *  fp
 *
 *  Created by Robert Delaney on 6/4/13.
 *  Copyright 2013 Bob Delaney's Science Software. All rights reserved.
 *
 */

void polyCalcQmatrix(matq& Q, const poly& a);
void polyCalcQmatrix(matq& Q, const poly& a, INT32 q);
void polySquareFree2(matq& z, const poly& x);
void polySFfindFactor(poly& z, const poly& a, const matq& nullVectors, double q);
void polySFfindAllFactors(INT32& numFactors, poly*& factor, const poly& a, const matq& nullVectors, double q);
void polySFfindTrueFactors(INT32& numFactors, poly*& factor, const poly& x);
void polySFfindTrueFactors2(matq& factorMatrix, const poly& x);
void polyFromMatrixRow(poly& z, long theRow, const matq& x);
void findPowersOfSquareFreeFactors(matq& z1, long*& theExp, long& numPolys, const poly& x);
void findPowersOfSquareFreeFactors(matq& z, matq& theExpColM, long& numPolys, const poly& x);
